All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This interface is subject to change. ***

## com.sas.iquery.metadata.expr
Interface ExpressionInterface

All Superinterfaces:
  Base, BusinessModelResourceReferencer, java.lang.Cloneable, java.util.EventListener, ModelItem, PropertyChangeListenee, java.beans.PropertyChangeListener, UsabilityInterface

All Known Subinterfaces:
  DataItem, DataItemContainerExpression, DataItemReference, Prompt

All Known Implementing Classes:
  com.sas.iquery.metadata.impl.AbstractExpression, AbstractRelativeTimeValueExpression, AbstractTimeValueExpression, BaseFilterExpression, BusinessGroupMemberFilterExpression, CompoundConditionalExpression, ConditionalExpression, ConstantExpression, DataBasedFilterExpression, DataBasedFilterExpression_Between, DateValueExpression, FractionOfTotalExpression, FunctionCall, MemberFilterExpression, MultipleConditionalExpression, RelationalConditionalExpression, RelativeDateValueExpression, RelativeTimestampValueExpression, ResourceAwareStringExpression, SimpleConditionalExpression_Between, SimpleConditionalExpression_Comparison, SimpleConditionalExpression_Contains, SimpleConditionalExpression_In, SimpleConditionalExpression_Like, SimpleConditionalExpression_TestForNull, StringExpression, TimeExpressionMeasure, TimeFilterExpression, TimeFilterFirstLastPeriodsExpression, TimeFilterNParallelPeriodsExpression, TimeFilterNPeriodsExpression, TimeRangeFilterExpression, TimestampValueExpression, TimeValueExpression

    @SASScope(value="ALL")
    @SubjectToChange
    public interface ExpressionInterface

extends ModelItem, BusinessModelResourceReferencer, java.lang.Cloneable

Specifies an interface. All expressions that are used within the SAS Query Services models extend or implement this interface.

Field Summary

Fields inherited from interface com.sas.iquery.metadata.business.ModelItem
`EVENT_OBJECT_PROPERTY_CHANGED`

Fields inherited from interface com.sas.iquery.metadata.business.Base
`EVENT_OBJECT_DEFINITION_CHANGED`

Method Summary
`abstract int` | `getExpressionType()` Return the integer form of the expression type.

Methods inherited from interface com.sas.iquery.metadata.business.BusinessModelResourceReferencer
`getResources`

Methods inherited from interface com.sas.iquery.metadata.PropertyChangeListenee
`addListener, getListeners, removeListener`

Methods inherited from interface com.sas.iquery.metadata.business.UsabilityInterface
`getReasonsUnusable, isUsableInQuery`

Method Detail

*** This method is subject to change. ***

### getExpressionType

    @SASScope(value="ALL")
    @SubjectToChange
    int getExpressionType()

  Return the integer form of the expression type.

  Returns:
    an expression type from class ExpressionTypes

*** This interface is subject to change. ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.